﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GameControllerScript : MonoBehaviour
{
    //public AreaScript[] areas; //when baseclassed
    public HouseScript houseArea;
    public SaunaScript saunaArea;
    public OrchardScript orchardArea;

    public string GameName = "dummy_name";

    // player object related
    public float playerSpeed = 80.0f;
    public Vector3 playerTargetPosition = Vector3.zero;

    // information for all areasa
    public uint monthNumber = 0;
    public string activeArea = "";

    // score
    public int score = 0;
    public int happiness = 0;
    public int stamina = 0;

    // game parameters
    public float timeFactor = 1.0f; // seconds per month
    private float nextMonth = 0.0f;


    // Start is called before the first frame update
    void Start()
    {
        ResetScore();
    }

    // Update is called once per frame
    void Update()
    {

        if (Time.time > nextMonth)
        {
            nextMonth = Time.time + timeFactor;

            monthNumber += 1;
            monthNumber %= 12;
        }

    }

    public void ActivateArea(string areaName, Vector3 targetPosition)
    {
        Debug.Log("GameController: ActiveArea " + areaName + ", targetPosition: " + targetPosition);

        Vector3 targetPos = Vector3.zero;
        if (areaName == "house")
        {
            targetPos = houseArea.GetActivityPoint();
        }
        else if (areaName == "sauna")
        {
            targetPos = saunaArea.GetActivityPoint();
        }
        else if (areaName == "orchard")
        {
            targetPos = orchardArea.GetActivityPoint();
        }

        activeArea = areaName;
        playerTargetPosition = targetPos;
       


    }

    private void ResetScore()
    {
        activeArea = "";
        score = 0;
    }
}
