﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.AI;

public class PlayerControllerScript : MonoBehaviour
{
    public Sprite[] playerSprites;

    NavMeshAgent agent;
    GameControllerScript gcs;

    private Vector3 targetPoint;
    private uint spriteIndex = 0;
    //private float previousSpriteTime = 0.0f;
    private readonly float frameRate = 0.1f;
    private float nextFrame = 0.0f;

    // Start is called before the first frame update
    void Start()
    {
        agent = GetComponent<NavMeshAgent>();
        GameObject gc = GameObject.Find("GameController");
        gcs = gc.GetComponent<GameControllerScript>();
    }

    // Update is called once per frame
    void Update()
    {
        // fetch values from game controller
        agent.speed = gcs.playerSpeed;
        //if (gcs.activeArea != "")
        {
            agent.destination = gcs.playerTargetPosition;
        }


        if (agent.velocity.Equals(Vector3.zero))
        {
            spriteIndex = 0;
        }
        else
        {
            if (Time.time > nextFrame)
            {
                nextFrame = Time.time + frameRate;
                spriteIndex += 1;
                spriteIndex = spriteIndex % 8;
            }
        }
        SpriteRenderer sr = GetComponentInChildren<SpriteRenderer>();
        sr.sprite = playerSprites[spriteIndex];
    }
}
