﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SaunaScript : MonoBehaviour
{
    public Sprite[] saunaSpriteArray;
    public Sprite[] activeSpriteArray;

    GameControllerScript gcs;
    uint monthIndex = 0;

    private readonly string areaName = "sauna";

    private long activeSpriteIndex = 0;
    private readonly float frameRate = 0.3f;
    private float nextFrame = 0.0f;

    // Start is called before the first frame update
    void Start()
    {
        GameObject gc = GameObject.Find("GameController");
        gcs = gc.GetComponent<GameControllerScript>();

    }

    // Update is called once per frame
    void Update()
    {
        // get info from game controller
        monthIndex = gcs.monthNumber;


        // update sprites
        SpriteRenderer[] rends = GetComponentsInChildren<SpriteRenderer>();
        foreach (SpriteRenderer r in rends)
        {
            if (r.CompareTag("ActivityIndicator"))
            {
                if (Time.time > nextFrame)
                {
                    nextFrame = Time.time + frameRate;
                    activeSpriteIndex += 1;
                    activeSpriteIndex = activeSpriteIndex % activeSpriteArray.Length;
                    r.sprite = activeSpriteArray[activeSpriteIndex];
                }

                r.enabled = (areaName == gcs.activeArea);
            }
            else if (r.CompareTag("ActivationButton"))
            {

            }
            else
            {
                r.sprite = saunaSpriteArray[monthIndex];
            }
        }

     }

    public Vector3 GetActivityPoint()
    {
        Vector3 point = Vector3.zero;

        GameObject obj = GameObject.Find("Sauna/ActivityPoint");

        point = obj.transform.position;
        return point;
    }
}
